# UniTAP.dev.modules.dut_tests.dut_default_params.dp2_1_source_tests

class Dp21SourceDUTTestParam:

Class `Dp21SourceDUTTestParam` allows working with default group of parameters for DP 2.1 LLCTS tests:

- Set and get `GeneralSourceDUTDp21SettingTab`. Allows working with parameters from General source part `general`.
- Set and get `DisplayIdDp21ConfigTab`. Allows working with parameters from Display ID part `display_id`.
- Set and get `AdaptiveSyncDp21ConfigTab`. Allows working with parameters from Adaptive-Sync part `adaptive_sync`.
- Set and get `Dp21AvailableVideoModes`. Allows working with parameters from Video modes part `video_modes`.

Dp21SourceDUTTestParam(json_obj)
general: UniTAP.dev.modules.dut_tests.dut_default_params.dp_2_1_source_general_tab.GeneralSourceDUTDp21SettingTab

Get object of parameters from General source part.

###### Returns:

> object of `GeneralSourceDUTDp21SettingTab` type

audio: UniTAP.dev.modules.dut_tests.dut_default_params.dp_source_audio_tab.AudioSourceDp21SettingTab

Get object of parameters from Audio source part.

###### Returns:

> object of `AudioSourceDp21SettingTab` type

display_id: UniTAP.dev.modules.dut_tests.dut_default_params.dp_source_display_id_tab.DisplayIdDp21ConfigTab

Get object of parameters from Display ID source part.

###### Returns:

> object of `DisplayIdDp21ConfigTab` type

adaptive_sync: UniTAP.dev.modules.dut_tests.dut_default_params.dp_source_adaptive_sync_tab.AdaptiveSyncDp21ConfigTab

Get object of parameters from Adaptive-Sync source part.

###### Returns:

> object of `AdaptiveSyncDp21ConfigTab` type

video_modes: UniTAP.dev.modules.dut_tests.dut_default_params.dp_2_1_video_modes.Dp21AvailableVideoModes

Get object of parameters from Video modes source part.

###### Returns:

> object of `Dp21AvailableVideoModes` type

dsc_video_modes: UniTAP.dev.modules.dut_tests.dut_default_params.dp_2_1_dsc_video_modes.Dp21AvailableDscVideoModes

Get object of parameters from Video modes source part.

###### Returns:

> object of `Dp21AvailableVideoModes` type